Get holdout by id
curl --request GET \
--url https://statsigapi.net/console/v1/holdouts/{id} \
--header 'STATSIG-API-KEY: <api-key>'import requests
url = "https://statsigapi.net/console/v1/holdouts/{id}"
headers = {"STATSIG-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'STATSIG-API-KEY': '<api-key>'}};
fetch('https://statsigapi.net/console/v1/holdouts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Holdout read successfully.",
"data": {
"id": "testing_holdout",
"name": "testing holdout",
"description": "helpful summary of what this holdout does",
"idType": "userID",
"lastModifierID": "4dcQUIpS8PHObBGD7HJwOx",
"lastModifiedTime": 1719873874212,
"lastModifierName": "CONSOLE API",
"lastModifierEmail": null,
"creatorID": "4dcQUIpS8PHObBGD7HJwOx",
"createdTime": 1719873870785,
"creatorName": "CONSOLE API",
"creatorEmail": null,
"targetApps": [],
"tags": [],
"team": "Console Team",
"isEnabled": true,
"isGlobal": false,
"passPercentage": 0,
"gateIDs": [],
"experimentIDs": [],
"layerIDs": [],
"targetingGateID": null
}
}{
"status": 401,
"message": "This endpoint only accepts an active CONSOLE key, but an invalid key was sent. Key: console-xxxXXXxxxXXXxxx"
}Holdouts
Get holdout by id
GET
/
console
/
v1
/
holdouts
/
{id}
Get holdout by id
Authorizations
Headers
Optional header to respect review settings for mutation endpoints.
Path Parameters
id
⌘I

